Package it.ernytech.tdlib

## Class TdApi.ToggleSupergroupIsAllHistoryAvailable

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.ToggleSupergroupIsAllHistoryAvailable

Enclosing class:
  TdApi

    public static class TdApi.ToggleSupergroupIsAllHistoryAvailable
    extends TdApi.Function

Toggles whether the message history of a supergroup is available to new members; requires appropriate administrator rights in the supergroup.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`boolean` `isAllHistoryAvailable` The new value of isAllHistoryAvailable.
`int` `supergroupId` The identifier of the supergroup.

### Constructor Summary

Constructors
`ToggleSupergroupIsAllHistoryAvailable()` Default constructor.
`ToggleSupergroupIsAllHistoryAvailable​(int supergroupId, boolean isAllHistoryAvailable)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### supergroupId

    public int supergroupId

The identifier of the supergroup.

#### isAllHistoryAvailable

    public boolean isAllHistoryAvailable

The new value of isAllHistoryAvailable.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ToggleSupergroupIsAllHistoryAvailable

    public ToggleSupergroupIsAllHistoryAvailable()

Default constructor.

#### ToggleSupergroupIsAllHistoryAvailable

    public ToggleSupergroupIsAllHistoryAvailable​(int supergroupId,
                                                 boolean isAllHistoryAvailable)

Constructor for initialization of all fields.

Parameters:
  `supergroupId` - The identifier of the supergroup.
  `isAllHistoryAvailable` - The new value of isAllHistoryAvailable.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR